KLA11818
Multiple vulnerabilities in Opera

Updated: 06/30/2020
Detect date
?
05/22/2020
Severity
?
Warning
Description

Multiple vulnerabilities were found in Opera. Malicious users can exploit these vulnerabilities to bypass security restrictions, execute arbitrary code, cause denial of service, spoof user interface.

Below is a complete list of vulnerabilities:

  1. Policy enforcement vulnerability in developer tools can be exploited to bypass security restrictions.
  2. Policy enforcement vulnerability in Omnibox component can be exploited to bypass security restrictions.
  3. Use after free vulnerability in payments component can be exploited to potentially cause denial of service and execute arbitrary code.
  4. Security UI vulnerability in payments component can be exploited to spoof user interface.
  5. Security UI vulnerability in progress display component can be exploited to spoof user interface.
  6. Use after free vulnerability in WebAuthentication can be exploited to cause denial of service and execute arbitrary code.
Affected products

Opera earlier than 69.0.3686.30

Solution

Update to the latest version
Download Opera

Original advisories

Changelog for Opera 69
Stable Channel Update for Desktop

Impacts
?
ACE 
[?]

DoS 
[?]

SB 
[?]

SUI 
[?]
Related products
Opera
CVE-IDS
?
CVE-2020-64954.3Warning
CVE-2020-64974.3Warning
CVE-2020-64966.8High
CVE-2020-64944.3Warning
CVE-2020-64984.3Warning
CVE-2020-64936.8High
Find out the statistics of the vulnerabilities spreading in your region